Bug 1192808 - Host QoS > Can't sync and approve SN when having 2 un-synced networks on different NIC's, when only one of them reported with speed zero
Summary: Host QoS > Can't sync and approve SN when having 2 un-synced networks on diff...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.6
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: 3.6.0
Assignee: Alona Kaplan
QA Contact: Michael Burman
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-15 14:00 UTC by Michael Burman
Modified: 2016-02-10 19:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-07 10:05:08 UTC
oVirt Team: Network


Attachments (Terms of Use)

Description Michael Burman 2015-02-15 14:00:03 UTC
Description of problem:
Host QoS > Can't sync and approve SN when having 2 un-synced networks on different NIC's, when only one of them reported with speed zero.
If i have a case of 2 NIC's on host, to each one of them attached network with QoS defind, both of networks are un-synced cause the NIC's reported with speed zero. 
If one of the NIC's will report speed 1000 for example and i will try to sync network that is attached to this NIC and will try to approve operation, i will fail with error about speed NIC reported as zero. SN trying to sync both networks, but only network with NIC speed 1000 should be synced and operation should succeed.

Version-Release number of selected component (if applicable):
3.6.0-0.0.master.20150214002157.gitbb45d00.el6

How reproducible:
100

Comment 1 Barak 2015-08-03 13:26:59 UTC
Alona do we have this problem in the new API ?

Comment 2 Alona Kaplan 2015-08-04 07:04:08 UTC
(In reply to Barak from comment #1)
> Alona do we have this problem in the new API ?

Yes.

Comment 3 Michael Burman 2015-09-07 10:25:52 UTC
Why this bug is closed ?

Comment 4 Yaniv Lavi 2015-09-07 11:18:03 UTC
(In reply to Michael Burman from comment #3)
> Why this bug is closed ?

We removed speed for calculation of the QOS with makes this bug null and void.


Note You need to log in before you can comment on or make changes to this bug.